Subject: Re: [PATCH/RFC 0/4] config: read both home and xdg files for --global

From: Junio C Hamano <[email-masked]>
Date: Wed, 19 Nov 2025 06:44:25 -0800

"Delilah Ashley Wu via GitGitGadget" <[email-masked]>
writes:

> As reported in [1]: `$HOME/.gitconfig` and `$XDG_CONFIG_HOME/git/config` are
> both valid global config locations, but `git config list --global` only
> includes the former in its output.

... while "git config list" includes both, which is an inconsistency
without good reason.

Thanks for addressing this issue.  I haven't had a chance to look at
these patches yet, but both analysis and Glen's outline for the best
approach presented in the thread [1] do look very sensible.

What is the reason behind [RFC] in the title?  Are there things that
are iffy yourself in the patches that reviewers want to pay special
attention to?

Thanks.